# BEGIN SourceDeps(oneline):
BuildRequires: libgmp-devel libmpfr-devel
# END SourceDeps(oneline)
Name:           crlibm
Version:        1.0
Release:        alt1_0.6.beta4
Summary:        Correctly Rounded mathematical library

Group:          System/Libraries
License:        LGPLv2+
URL:            http://lipforge.ens-lyon.fr/www/crlibm/
Source0:        http://lipforge.ens-lyon.fr/frs/download.php/162/crlibm-1.0beta4.tar.gz
Patch0:         %{name}-1.0beta4-shared.patch

%if ! 0%{?rhel} || 0%{?rhel} >= 6
BuildRequires:  texlive-latex-recommended
%else
BuildRequires:  /usr/bin/latex texlive-latex-recommended
%endif
BuildRequires:  autoconf automake libtool
BuildRequires:  libscs-devel
Source44: import.info

%description
CRlibm is a free mathematical library (libm) which provides:
* implementations of the double-precision C99 standard elementary functions,
* correctly rounded in the four IEEE-754 rounding modes,
* with a comprehensive proof of both the algorithms used and their
  implementation,
* sufficiently efficient in average time, worst-case time, and memory
  consumption to replace existing libms transparently.


%package        devel
Summary:        Development files for %{name}
Group:          Development/C
Requires:       crlibm = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q -n %{name}-1.0beta4
%patch0 -p1 -b .shared

rm -rf scs_lib


%build
# autoreconf requires because the patch modifies configure.ac and Makefile.am
autoreconf --install --force
%configure --disable-static
make %{?_smp_mflags}
make crlibm.pdf


%install
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

# We do not want to install the test programs
rm -rf $RPM_BUILD_ROOT%{_bindir}

%files
%doc README AUTHORS COPYING.LIB
%{_libdir}/*.so.*

%files devel
%doc docs/crlibm.pdf
%{_includedir}/*
%{_libdir}/*.so


%changelog
* Thu Aug 02 2012 Igor Vlasenko <viy@altlinux.ru> 1.0-alt1_0.6.beta4
- update to new release by fcimport

* Wed Jun 20 2012 Igor Vlasenko <viy@altlinux.ru> 1.0-alt1_0.5.beta4
- fc import

